import request from '@/utils/request'

// 查询员工运维列表
export function listStoreStaff(query) {
  return request({
    url: '/bst/storeStaff/list',
    method: 'get',
    params: query
  })
}

// 查询员工运维详细
export function getStoreStaff(id) {
  return request({
    url: '/bst/storeStaff/' + id,
    method: 'get'
  })
}

// 新增员工运维
export function addStoreStaff(data) {
  return request({
    url: '/bst/storeStaff',
    method: 'post',
    data: data
  })
}

// 修改员工运维
export function updateStoreStaff(data) {
  return request({
    url: '/bst/storeStaff',
    method: 'put',
    data: data
  })
}

// 删除员工运维
export function delStoreStaff(id) {
  return request({
    url: '/bst/storeStaff/' + id,
    method: 'delete'
  })
}
